## hostname 2.0

=== Makefile ===
CFLAGS=-O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -DSTANDALONE
LDFLAGS=-N -s

# uncomment the following line if you want NLS
# NLS = 1

# uncomment the following line if you want to install to a different base dir.
# BASEDIR=/mnt/test

###############################################################################

ifneq (${NLS},)
CFLAGS += -DNLS=1
endif

OBJS=hostname.o

hostname: nlscat $(OBJS)
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJS)
	strip hostname
	ln -f hostname dnsdomainname

nlscat:
ifneq (${NLS},)
	(cd nls && make)
endif

install: hostname
ifneq (${NLS},)
	install -o root -g root -m 755 -d ${BASEDIR}/usr/lib/locale/en_US.88591
	install -o root -g root -m 755 -d ${BASEDIR}/usr/lib/locale/fr_FR.88591
	install -o root -g root -m 755 -d ${BASEDIR}/usr/lib/locale/de_DE.88591
	install -o root -g root -m 755 -d ${BASEDIR}/usr/man/en_US.88591/man1
	install -o root -g root -m 755 -d ${BASEDIR}/usr/man/fr_FR.88591/man1
#	install -o root -g root -m 755 -d ${BASEDIR}/usr/man/de_DE.88591/man1
	install -o root -g root -m 755 nls/en_US.88591/hostname.cat ${BASEDIR}/usr/lib/locale/en_US.88591
	install -o root -g root -m 755 nls/fr_FR.88591/hostname.cat ${BASEDIR}/usr/lib/locale/fr_FR.88591
	install -o root -g root -m 755 nls/de_DE.88591/hostname.cat ${BASEDIR}/usr/lib/locale/de_DE.88591
	install -o root -g root -m 755 man/en_US.88591/hostname.1 ${BASEDIR}/usr/man/en_US.88591/man1
	install -o root -g root -m 755 man/en_US.88591/dnsdomainname.1 ${BASEDIR}/usr/man/en_US.88591/man1
	install -o root -g root -m 755 man/fr_FR.88591/hostname.1 ${BASEDIR}/usr/man/fr_FR.88591/man1
	install -o root -g root -m 755 man/fr_FR.88591/dnsdomainname.1 ${BASEDIR}/usr/man/fr_FR.88591/man1
#	install -o root -g root -m 755 man/de_DE.88591/hostname.1 ${BASEDIR}/usr/man/de_DE.88591/man1
#	install -o root -g root -m 755 man/de_DE.88591/dnsdomainname.1 ${BASEDIR}/usr/man/de_DE.88591/man1
else
	install -o root -g root -m 0644 man/en_US.88591/hostname.1 ${BASEDIR}/usr/man/man1
	install -o root -g root -m 0644 man/en_US.88591/dnsdomainname.1 ${BASEDIR}/usr/man/man1
endif
	install -o root -g root -m 0755 hostname ${BASEDIR}/bin
	(cd ${BASEDIR}/bin && ln -f hostname dnsdomainname) || exit 1

clean:
ifneq (${NLS},)
	(cd nls && make clean)
endif
	rm -f $(OBJS) hostname dnsdomainname core

## hostname 2.01

=== debian/control ===
Source: hostname
Section: base
Priority: required
Maintainer: Peter Tobias <tobias@et-inf.fho-emden.de>
Standards-Version: 2.1.2.2

Package: hostname
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Description: A utility to set/show the host name or domain name
 The hostname command can be used to either set or display
 the current host or domain name of the system. This name is
 used by many of the networking programs to identify the machine.
 The domain name is also used by NIS/YP.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=hostname

build:
	$(checkdir)
	if [ -x configure ]; then ./configure --prefix=/usr; fi
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	if [ -x configure ]; then make install prefix=`pwd`/debian/tmp/usr ;\
	else \
		make install BASEDIR=`pwd`/debian/tmp; \
	fi
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd -m
	dpkg-gencontrol
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## hostname 2.04

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CFLAGS=-O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -DSTANDALONE
-LDFLAGS=-N -s
+LDFLAGS=-s
 
 # uncomment the following line if you want NLS
 # NLS = 1
@@ -37,14 +37,14 @@
 	install -o root -g root -m 755 nls/fr_FR.88591/hostname.cat ${BASEDIR}/usr/lib/locale/fr_FR.88591
 	install -o root -g root -m 755 nls/de_DE.88591/hostname.cat ${BASEDIR}/usr/lib/locale/de_DE.88591
 	install -o root -g root -m 755 man/en_US.88591/hostname.1 ${BASEDIR}/usr/man/en_US.88591/man1
-	install -o root -g root -m 755 man/en_US.88591/dnsdomainname.1 ${BASEDIR}/usr/man/en_US.88591/man1
+	(cd ${BASEDIR}/usr/man/en_US.88591/man1 && ln -fs hostname.1 dnsdomainname.1)
 	install -o root -g root -m 755 man/fr_FR.88591/hostname.1 ${BASEDIR}/usr/man/fr_FR.88591/man1
-	install -o root -g root -m 755 man/fr_FR.88591/dnsdomainname.1 ${BASEDIR}/usr/man/fr_FR.88591/man1
+	(cd ${BASEDIR}/usr/man/fr_FR.88591/man1 && ln -fs hostname.1 dnsdomainname.1)
 #	install -o root -g root -m 755 man/de_DE.88591/hostname.1 ${BASEDIR}/usr/man/de_DE.88591/man1
-#	install -o root -g root -m 755 man/de_DE.88591/dnsdomainname.1 ${BASEDIR}/usr/man/de_DE.88591/man1
+#	(cd ${BASEDIR}/usr/man/de_DE.88591/man1 && ln -fs hostname.1 dnsdomainname.1)
 else
 	install -o root -g root -m 0644 man/en_US.88591/hostname.1 ${BASEDIR}/usr/man/man1
-	install -o root -g root -m 0644 man/en_US.88591/dnsdomainname.1 ${BASEDIR}/usr/man/man1
+	(cd ${BASEDIR}/usr/man/man1 && ln -fs hostname.1 dnsdomainname.1)
 endif
 	install -o root -g root -m 0755 hostname ${BASEDIR}/bin
 	(cd ${BASEDIR}/bin && ln -f hostname dnsdomainname) || exit 1
@@ -54,3 +54,4 @@
 	(cd nls && make clean)
 endif
 	rm -f $(OBJS) hostname dnsdomainname core
+

=== debian/changelog ===
hostname (2.04) frozen unstable; urgency=low

  * rebuild with latest debmake version
  * updated standards-version
  * minor manpage fixes

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Mon, 30 Mar 1998 00:00:12 +0200

hostname (2.03) unstable; urgency=low

  * libc6 version

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Sun, 14 Sep 1997 11:36:19 +0200

hostname (2.02) unstable; urgency=low

  * a <space> character now marks the end of the hostname if you set the
    hostname with the --file option.

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Wed, 18 Jun 1997 15:04:49 +0200

hostname (2.01) unstable; urgency=low

  * converted to packaging standard 2.1.2.2
  * minor fixes

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Thu, 16 Jan 1997 01:00:34 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: base
 Priority: required
 Maintainer: Peter Tobias <tobias@et-inf.fho-emden.de>
-Standards-Version: 2.1.2.2
+Standards-Version: 2.4.0.0
 
 Package: hostname
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,6 @@
 	$(checkdir)
 	-rm -f build
 	-make clean
-	-rm `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* core debian/substvars
 
 binary-indep:	checkroot build

## hostname 2.07

=== Makefile ===
CFLAGS=-O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -DSTANDALONE
LDFLAGS=-s

# uncomment the following line if you want NLS
# NLS = 1

# uncomment the following line if you want to install to a different base dir.
# BASEDIR=/mnt/test

###############################################################################

ifneq (${NLS},)
CFLAGS += -DNLS=1
endif

OBJS=hostname.o localdomain.o localhost.o

hostname: nlscat $(OBJS)
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJS)
	strip hostname
	ln -f hostname dnsdomainname

nlscat:
ifneq (${NLS},)
	(cd nls && make)
endif

pkgs=dnsdomainname
nlspkgs=en fr de
install: hostname
ifneq (${NLS},)
	for a in $(nlspkgs);do\
		install -o root -g root -m 755 -d ${BASEDIR}/usr/lib/locale/$${a}_US.88591;\
		install -o root -g root -m 755 nls/$${a}_US.88591/hostname.cat ${BASEDIR}/usr/lib/locale/$${a}_US.88591;\
		if [ -d man/$${a}_US.88591/ ];then \
			install -o root -g root -m 755 -d ${BASEDIR}/usr/share/man/$${a}_US.88591/man1;\
			install -o root -g root -m 755 man/$${a}_US.88591/hostname.1 ${BASEDIR}/usr/share/man/$${a}_US.88591/man1;\
			for b in $(pkgs);do \
				ln -fs hostname.1 ${BASEDIR}/usr/share/man/$${a}_US.88591/man1/$$b.1; \
			done \
		fi \
	done
else
	install -o root -g root -m 0755 -d ${BASEDIR}/usr/share/man/man1
	install -o root -g root -m 0644 man/en_US.88591/hostname.1 ${BASEDIR}/usr/share/man/man1
	for a in $(pkgs);do \
		ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/$$a.1; \
	done
endif
	install -o root -g root -m 0755 hostname ${BASEDIR}/bin
	for a in $(pkgs);do \
		ln -f hostname ${BASEDIR}/bin/$$a; \
	done \

clean:
ifneq (${NLS},)
	(cd nls && make clean)
endif
	rm -f $(OBJS) hostname dnsdomainname core

=== nls/Makefile ===
SUBDIRS=	en_US.88591 fr_FR.88591 de_DE.88591
GENCATNEW=	gencat -new
GENCAT=		gencat


all:	catalogs ../hostname-nls.h


../hostname-nls.h:	hostname.m
	${GENCATNEW} /dev/null hostname.m -h ../hostname-nls.h

hostname.m:	en_US.88591/hostname.cat

catalogs:	de_DE.88591/hostname.cat fr_FR.88591/hostname.cat \
		en_US.88591/hostname.cat

en_US.88591/hostname.cat:	en_US.88591/*.m
	@echo en_US.88591
	@cp en_US.88591/hostname.m hostname.m
	@if [ -f en_US.88591/hostname.cat ]; then \
		${GENCAT} en_US.88591/hostname.cat hostname.m; \
	else \
		${GENCATNEW} en_US.88591/hostname.cat en_US.88591/hostname.m; \
	fi

fr_FR.88591/hostname.cat:	fr_FR.88591/*.m
	@echo fr_FR.88591
	@cp fr_FR.88591/hostname.m hostname.m
	@if [ -f fr_FR.88591/hostname.cat ]; then \
		${GENCAT} fr_FR.88591/hostname.cat fr_FR.88591/hostname.m; \
	else \
		${GENCATNEW} fr_FR.88591/hostname.cat fr_FR.88591/hostname.m; \
	fi

de_DE.88591/hostname.cat:	de_DE.88591/*.m
	@echo de_DE.88591
	@cp de_DE.88591/hostname.m hostname.m
	@if [ -f de_DE.88591/hostname.cat ]; then \
		${GENCAT} de_DE.88591/hostname.cat de_DE.88591/hostname.m; \
	else \
		${GENCATNEW} de_DE.88591/hostname.cat de_DE.88591/hostname.m; \
	fi

clean:
	for i in ${SUBDIRS} ; \
	do \
	    rm -f $$i/*~ $$i/*.orig $$i/DEADJOE ; \
	    rm -f $$i/hostname.cat ; \
	done; \
	rm -f ../hostname-nls.h *~ *.orig

clobber: clean

=== debian/changelog ===
hostname (2.07) unstable; urgency=low

  * Added build depends.
  * New maintainer/author, as the old maintainer/author has gone awol,
    and isn't responding to my mails.

 -- Adam Heath <doogie@debian.org>  Sat,  4 Dec 1999 07:40:55 -0600

hostname (2.06) unstable; urgency=low

  * No longer proved hardlinks for domainname, nisdomainname, and
    ypdomainname.  Closes: #48850, #49009, #49067, #49248, #49553, #49954

 -- Adam Heath <doogie@debian.org>  Sat, 13 Nov 1999 17:50:31 -0600

hostname (2.05) unstable; urgency=low

  * NMU
  * Applied patch for hostnames/domainnames of arbitrary length.  Closes:
    #44415
  * Fixed extra space when only one hostname is being printed.  Closes:
    #22735
  * Added hardlinks for binaries domainname, nisdomainname and
    ypdomainname.  Also updated programs internal version.  Closes: #22993
  * Used debhelper instead of debstd now.
  * FHS compliant.

 -- Adam Heath <doogie@debian.org>  Wed, 22 Sep 1999 00:12:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: hostname
 Section: base
 Priority: required
-Maintainer: Peter Tobias <tobias@et-inf.fho-emden.de>
-Standards-Version: 2.4.0.0
+Maintainer: Adam Heath <doogie@debian.org>
+Standards-Version: 3.1.1
+Build-Depends: debhelper
 
 Package: hostname
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(MAKE)
	touch $@

clean:
	rm -f build
	-$(MAKE) clean
	dh_clean
	rm -rf core

binary-indep: build

binary-arch: checkroot build
	dh_testdir -a
	dh_testroot -a
	dh_clean -k -a
	dh_installdirs -a

	$(MAKE) install BASEDIR=`pwd`/debian/tmp;
	dh_installdocs -a
	dh_installchangelogs -a
	dh_compress -a
	dh_shlibdeps -a
	dh_fixperms -a
	dh_installdeb -a
	dh_md5sums -a
#	debstd -m
	dh_gencontrol -a
	dh_builddeb -a


# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

## hostname 2.09

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CFLAGS=-O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -DSTANDALONE
-LDFLAGS=-s
+LDFLAGS=-s -lresolv
 
 # uncomment the following line if you want NLS
 # NLS = 1

=== debian/changelog ===
hostname (2.09) unstable; urgency=medium

  * Changed Depends to Pre-Depends.  Closes: 102396.

 -- Adam Heath <doogie@debian.org>  Sat,  7 Jul 2001 18:03:56 -0500

hostname (2.08) unstable; urgency=medium

  * Fixed typo in -h help.  Closes: #58795.
  * Fix dnsdomainname when order is 'nis dns hosts'.  Closes: #71721.
  * Change embedded version to 2.08, instead of 2.05. :|
  * Use internal error variable, instead of using global errno.
    Closes: #88279(grave on m68k)
  * Removed preinst, and changed Pre-Depends to Depends.
  * Fixed all -Wall.

 -- Adam Heath <doogie@debian.org>  Mon, 14 May 2001 08:51:27 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: base
 Priority: required
 Maintainer: Adam Heath <doogie@debian.org>
-Standards-Version: 3.1.1
+Standards-Version: 3.5.2
 Build-Depends: debhelper
 
 Package: hostname

=== debian/rules ===
--- 
+++ 
@@ -12,19 +12,20 @@
 
 binary-indep: build
 
-binary-arch: checkroot build
+binary-arch: build
 	dh_testdir -a
 	dh_testroot -a
 	dh_clean -k -a
 	dh_installdirs -a
 
-	$(MAKE) install BASEDIR=`pwd`/debian/tmp;
+	$(MAKE) install BASEDIR=$(CURDIR)/debian/tmp;
 	dh_installdocs -a
 	dh_installchangelogs -a
 	dh_compress -a
 	dh_shlibdeps -a
 	dh_fixperms -a
 	dh_installdeb -a
+	dh_strip -a
 	dh_md5sums -a
 #	debstd -m
 	dh_gencontrol -a

## hostname 2.13

=== nls/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SUBDIRS=	en_US.88591 fr_FR.88591 de_DE.88591
-GENCATNEW=	gencat -new
+GENCATNEW=	gencat --new
 GENCAT=		gencat
 
 
@@ -7,7 +7,7 @@
 
 
 ../hostname-nls.h:	hostname.m
-	${GENCATNEW} /dev/null hostname.m -h ../hostname-nls.h
+	${GENCATNEW} /dev/null hostname.m -H ../hostname-nls.h
 
 hostname.m:	en_US.88591/hostname.cat

=== debian/changelog ===
hostname (2.13) unstable; urgency=low

  * Update the version on clean. (closes: #223978)

 -- Graham Wilson <graham@debian.org>  Wed, 17 Dec 2003 15:25:51 +0000

hostname (2.12) unstable; urgency=medium

  * Revert the change in 2.11. (closes: #223521)
    - This technically re-opens #188924 and #208895, but I'll let
      somebody else see to that.
    - I think calling gethostbyname is the correct behavior, since the
      FQDN is supposed to be listed in the hosts(5) file, in which case
      gethostbyname shouldn't touch the network. So basically, I think
      the two aforementioned bugs are configuration errors.

 -- Graham Wilson <graham@debian.org>  Sat, 13 Dec 2003 06:28:42 +0000

hostname (2.11) unstable; urgency=medium

  * New maintainer. Thanks Adam.
  * Don't call gethostbyname in every case. (closes: #188924, #208895)
  * Remove extra space from the manual page.

 -- Graham Wilson <graham@debian.org>  Fri, 05 Dec 2003 06:49:23 +0000

hostname (2.10) unstable; urgency=low

  * -V now does exit(0), not exit(-1).  Closes: #180212
  * -V sends to stdout not stderr.  Closes: #164235
  * Recompiled with newer binutils, to support prelinking.  Closes:
    #176356
  * -h now sends to stdout, instead of stderr.

 -- Adam Heath <doogie@debian.org>  Sat,  8 Feb 2003 01:10:07 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hostname
 Section: base
 Priority: required
-Maintainer: Adam Heath <doogie@debian.org>
-Standards-Version: 3.5.2
+Maintainer: Graham Wilson <graham@debian.org>
+Standards-Version: 3.5.8
 Build-Depends: debhelper
 
 Package: hostname

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 	-$(MAKE) clean
 	dh_clean
 	rm -rf core
+
+	echo "#define VERSION \"hostname `dpkg-parsechangelog | awk '/Version:/ { print $$2 }'`\"" > version.h
 
 binary-indep: build

## hostname 2.91.0ubuntu1

=== debian/changelog ===
hostname (2.91.0ubuntu1) dapper; urgency=low

  * Fix check_name to allow all valid hostnames. (See RFC1123: 2.1 and
    RFC952: GRAMMATICAL HOST TABLE SPECIFICATION, specifically "<official
    hostname>"

 -- LaMont Jones <lamont@ubuntu.com>  Mon, 16 Jan 2006 13:23:58 -0700

hostname (2.91) unstable; urgency=low

  * Break in read_file instead of returning, so that the file can be closed
    properly.

  * Oops.
  * Properly read files that don't end in a newline. (closes: #325324)

 -- Graham Wilson <graham@debian.org>  Mon, 29 Aug 2005 14:59:17 +0000

hostname (2.90) unstable; urgency=low

  * Rewrite hostname to hopefully be a bit more organzied.
    - moved localhost() and localdomain() to hostname.c
    - code to set the host or domain name moved to set_name()
    - code to display the host or domain name moved to show_name()
    - clean up main()
    - i18n support removed, seems to be unused and outdated
    - verbose output removed
    - check for non-used arguments (closes: #253957)
    - remove the useless man directory from the source
    - remove unneeded header files
    - simplify the build system

  * Set the debhelper compat level to 4.
  * Build depend on debhelper (>= 4.0).
  * Improve the copyright file. (closes: #290178)
  * Update standards version. No changes.
  * Adjust the synopsis to be in line with the Developer's Reference.

  * A check_name function was added to check whether hostnames follow RFC
    1035 syntax.

  * Use inet_ntop instead of inet_ntoa when printing addresses, in order to
    support IPv6 addresses. (closes: #303579)

 -- Graham Wilson <graham@debian.org>  Tue, 23 Aug 2005 06:37:42 +0000

=== debian/control ===
Source: hostname
Section: base
Priority: required
Maintainer: Graham Wilson <graham@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.0)

Package: hostname
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Description: utility to set/show the host name or domain name
 The hostname command can be used to either set or display
 the current host or domain name of the system. This name is
 used by many of the networking programs to identify the machine.
 The domain name is also used by NIS/YP.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	$(MAKE)
	touch $@

clean:
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

binary-indep: build

binary-arch: build
	dh_testdir -a
	dh_testroot -a
	dh_clean -k -a
	dh_installdirs -a
	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname
	dh_installdocs -a
	dh_installchangelogs -a
	dh_compress -a
	dh_shlibdeps -a
	dh_fixperms -a
	dh_installdeb -a
	dh_strip -a
	dh_md5sums -a
	dh_gencontrol -a
	dh_builddeb -a


# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

## hostname 2.92

=== debian/changelog ===
hostname (2.92) unstable; urgency=low

  * Use syntax in RFC1123 and RFC952 to check hostnames. Thanks to LaMont
    for the patch. (closes: #341763)

 -- Graham Wilson <graham@debian.org>  Sat, 25 Feb 2006 02:51:17 +0000

## hostname 2.93

=== Makefile ===
CFLAGS=-O2 -Wall

# uncomment the following line if you want to install to a different base dir.
#BASEDIR=/mnt/test

OBJS=hostname.o

hostname: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS)
	ln -f hostname dnsdomainname

install: hostname
	install -d ${BASEDIR}/usr/share/man/man1
	install -o root -g root -m 0644 hostname.1 ${BASEDIR}/usr/share/man/man1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/dnsdomainname.1

	install -d ${BASEDIR}/bin
	install -o root -g root -m 0755 hostname ${BASEDIR}/bin
	ln -f hostname ${BASEDIR}/bin/dnsdomainname

clean:
	-rm -f $(OBJS) hostname dnsdomainname

.PHONY: clean install

=== debian/changelog ===
hostname (2.93) unstable; urgency=low

  * New maintainer (Closes: #400078).
  * Updated debian/* to my own packaging style :)
  * Bumped policy version.

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Nov 2006 20:50:00 +0100

=== debian/control ===
Source: hostname
Section: base
Priority: required
Maintainer: Daniel Baumann <daniel@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.0)

Package: hostname
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Description: utility to set/show the host name or domain name
 The hostname command can be used to either set or display the current host or
 domain name of the system. This name is used by many of the networking programs
 to identify the machine. The domain name is also used by NIS/YP.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Building package
	CFLAGS="$(CFLAGS)" $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hostname 2.93build1

=== debian/changelog ===
hostname (2.93build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:18:20 +0000

## hostname 2.94

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 hostname: $(OBJS)
 	$(CC) $(CFLAGS) -o $@ $(OBJS)
-	ln -f hostname dnsdomainname
+	ln -fs hostname dnsdomainname
 
 install: hostname
 	install -d ${BASEDIR}/usr/share/man/man1

=== debian/changelog ===
hostname (2.94) unstable; urgency=low

  * Correcting manpage about --file (Closes: #252182).
  * Explicitly saying in the manpage, that /etc/hostname should not contain the
    FQDN (Closes: #253956).
  * Using symlink for dnsdomainname (Closes: #382728).
  * Syncing version number in code (Closes: #396596).
  * Applied patch from Neil Williams <codehelp@debian.org> to add cross build
    support (Closes: #451305).

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Nov 2007 23:05:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: required
 Maintainer: Daniel Baumann <daniel@debian.org>
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4.0)
+Build-Depends: debhelper (>= 5)
 
 Package: hostname
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,21 @@
 	CFLAGS += -O2
 endif
 
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+	CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+else
+	CROSS=
+endif
+
 build: build-stamp
 build-stamp:
 	dh_testdir
 
 	# Building package
-	CFLAGS="$(CFLAGS)" $(MAKE)
+	CFLAGS="$(CFLAGS)" $(MAKE) $(CROSS)
 
 	touch build-stamp
 
@@ -37,7 +46,7 @@
 	dh_installdirs
 
 	# Installing package
-	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname
+	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname $(CROSS)
 
 binary-indep: build install

## hostname 2.95

=== debian/changelog ===
hostname (2.95) unstable; urgency=low

  * Bumping to new policy.
  * Fixing makefile to also install hostname.1.fr
  * Don't hide make errors in clean target of rules.
  * Adding ${misc:Depends} to pre-depends.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Dec 2007 12:39:00 +0100

=== debian/control ===
Source: hostname
Section: base
Priority: required
Maintainer: Daniel Baumann <daniel@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5)

Package: hostname
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to set/show the host name or domain name
 The hostname command can be used to either set or display the current host or
 domain name of the system. This name is used by many of the networking programs
 to identify the machine. The domain name is also used by NIS/YP.

## hostname 2.95ubuntu1

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	install -d ${BASEDIR}/usr/share/man/man1
 	install -o root -g root -m 0644 hostname.1 ${BASEDIR}/usr/share/man/man1
 	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/dnsdomainname.1
+	install -o root -g root -m 0644 hostname.1.fr ${BASEDIR}/usr/share/man/fr/man1/hostname.1
 
 	install -d ${BASEDIR}/bin
 	install -o root -g root -m 0755 hostname ${BASEDIR}/bin

=== debian/changelog ===
hostname (2.95ubuntu1) karmic; urgency=low

  FFE LP: #427356.

  * Add -b option that allows the file specified by -F to be non-existant
    or empty, in which case the default hostname of "localhost" will be set
    if none is set currently.
  * Install Upstart job to set hostname on startup, but do not run it in
    postinst.
  * debian/control:
    - Bump build-dependency on debhelper for Upstart-aware dh_installinit

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:37:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: hostname
 Section: base
 Priority: required
-Maintainer: Daniel Baumann <daniel@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 7.3.15ubuntu2)
 
 Package: hostname
 Architecture: any

## hostname 3.03ubuntu1

=== debian/changelog ===
hostname (3.03ubuntu1) lucid; urgency=low

  * Merging from Debian Testing, remaining changes:
     - Install Upstart job to set hostname on startup, but do not run it in
       postinst.
     - Build-depend on newer debhelper for Upstart-aware dh_installinit.

 -- Vikram Dhillon <dhillonv10@gmail.com>  Wed, 10 Mar 2010 19:00:50 +0000

hostname (3.03) unstable; urgency=low

  * Do not use buffer on error return. (Closes: #565634) - thanks to
    Marco d'Itri <md@Linux.IT>

 -- Michael Meskes <meskes@debian.org>  Tue, 19 Jan 2010 09:07:56 +0100

hostname (3.02) unstable; urgency=low

  [ Cristian Greco ]
  * bump version to 3.02 for next release.
  * set my new maintainer email address.

  [ Michael Meskes ]
  * Reject invalid hostnames. (LP #52335)
  * Gratiously accept FQ hostnames. While this should not be done
    hostname should still be able to cope with it and print the short
    name as promised in the manpage (LP#389602). (Closes: #563074)
  * Added option to display all ip addresses and all fqdns. (Closes:
    #562830) - thanks to Gábor Gombás <gombasg@sztaki.hu>

 -- Michael Meskes <meskes@debian.org>  Fri, 15 Jan 2010 13:08:57 +0100

hostname (3.01ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Dec 2009 15:02:30 +0000

hostname (3.01) unstable; urgency=low

  * Made 'hostname -s' only display the host name cut at the first dot.
    (Closes: #552482)

 -- Michael Meskes <meskes@debian.org>  Tue, 27 Oct 2009 13:25:38 +0100

hostname (3.00) unstable; urgency=low

  * Bumped versioned conflict against nis. (Closes: #546753)
  * End beta phase and bump major version to 3.

 -- Michael Meskes <meskes@debian.org>  Thu, 01 Oct 2009 14:07:26 +0200

hostname (2.99) unstable; urgency=low

  [ Cristian Greco ]
  * attempt to clarify program documentation in usage() and manpage.
  * bump version to 2.99
  * Add versioned Replaces/Conflicts against nis (<< 3.17-29), which
    drops the {yp,nis,} commands.

 -- Michael Meskes <meskes@debian.org>  Mon, 28 Sep 2009 15:31:05 +0200

hostname (2.98ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Dec 2009 14:34:13 +0000

hostname (2.98) unstable; urgency=low

  [ Cristian Greco ]
  * Fix some indentation.
  * bump version to 2.98.
  * attempt to clarify program documentation in usage() and manpage.

  [ Michael Meskes ]
  * Made program behave exactly like yp-tools domainname when called as
    {nis,yp,}domainname.
  * We replace nis by installing {yp,nis,}domainname, closes: #546753

 -- Michael Meskes <meskes@debian.org>  Wed, 16 Sep 2009 19:47:31 +0200

hostname (2.97) unstable; urgency=low

  * New maintainer, closes: #543892
  * Bumped Standards-Version to 3.8.3, no changes needed.
  * Do not print trailing blank for option "-a", closes: #390527
  * Refer to correct init file, closes: #540774
  * Applied patch by Scott James Remnant <scott@ubuntu.com> to take care of an
    empty or non existant /etc/hostname, closes: #543666
  * Made package description and manpage clearer, closes: #483221
  * Added patch by Michael Stapelberg <michael+db20090501@stapelberg.de> to
    better cope with IPv6, closes: #535467
  * Added nisdomainname/ypdomainname, closes: #501005
  * Strip domain name returned by gethostname(), closes: #420053

 -- Michael Meskes <meskes@debian.org>  Sun, 13 Sep 2009 14:34:13 +0200

hostname (2.96) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:01:51 +0200

=== debian/control ===
Source: hostname
Section: admin
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>, Cristian Greco <cristian@regolo.cc>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.3.15ubuntu2)

Package: hostname
Architecture: any
Essential: yes
Replaces: nis (<< 3.17-30)
Conflicts: nis (<< 3.17-30)
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to set/show the host name or domain name
 This package provides commands which can be used to display the system's
 DNS name, and to display or set its hostname or NIS domain name.

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	rm -f build-stamp
 
 	# Cleaning package
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 
 	dh_clean
 
@@ -56,7 +56,7 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_install
-	dh_link
+	dh_installinit --upstart-only --no-start
 	dh_strip
 	dh_compress
 	dh_fixperms

## hostname 3.04

=== Makefile ===
CFLAGS+=-O2 -Wall

# uncomment the following line if you want to install to a different base dir.
#BASEDIR=/mnt/test

OBJS=hostname.o

hostname: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) -lnsl
	ln -fs hostname dnsdomainname
	ln -fs hostname domainname
	ln -fs hostname ypdomainname
	ln -fs hostname nisdomainname

install: hostname
	install -d ${BASEDIR}/usr/share/man/man1
	install -o root -g root -m 0644 hostname.1 ${BASEDIR}/usr/share/man/man1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/dnsdomainname.1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/domainname.1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/ypdomainname.1
	ln -fs hostname.1 ${BASEDIR}/usr/share/man/man1/nisdomainname.1
	install -o root -g root -m 0644 hostname.1.fr ${BASEDIR}/usr/share/man/fr/man1/hostname.1

	install -d ${BASEDIR}/bin
	install -o root -g root -m 0755 hostname ${BASEDIR}/bin
	ln -f hostname ${BASEDIR}/bin/dnsdomainname
	ln -f hostname ${BASEDIR}/bin/domainname
	ln -f hostname ${BASEDIR}/bin/nisdomainname
	ln -f hostname ${BASEDIR}/bin/ypdomainname

clean:
	-rm -f $(OBJS) hostname dnsdomainname domainname nisdomainname ypdomainname

.PHONY: clean install

=== debian/changelog ===
hostname (3.04) unstable; urgency=low

  * Don't strip domain before resolving it for a fqdn hostname. (Closes:
    #573375)
  * Bumped Standards-Version to 3.8.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 22 Mar 2010 11:58:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: hostname
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
+Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>, Cristian Greco <cristian@regolo.cc>
-Standards-Version: 3.8.3
-Build-Depends: debhelper (>= 7.3.15ubuntu2)
+Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5)
 
 Package: hostname
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,6 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_install
-	dh_installinit --upstart-only --no-start
 	dh_strip
 	dh_compress
 	dh_fixperms

## hostname 3.04ubuntu1

=== debian/changelog ===
hostname (3.04ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #590481), remaining changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.

 -- Lorenzo De Liso <blackzldl@gmail.com>  Sun, 06 Jun 2010 20:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: hostname
 Section: admin
 Priority: required
-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>, Cristian Greco <cristian@regolo.cc>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 7.4.20ubuntu1)
 
 Package: hostname
 Architecture: any

## hostname 3.05ubuntu1

=== debian/changelog ===
hostname (3.05ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #676474), remaining changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.
  * Don't compare versions during the build to avoid the package FTBFS

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 17 Nov 2010 16:42:29 +0100

hostname (3.05) unstable; urgency=low

  * Updated hostname.c to carry correct version number. (Closes:
    #602987)
  * Bumped Standards-Version to 3.9.1, no changes needed.
  * Added source/format file.

 -- Michael Meskes <meskes@debian.org>  Tue, 16 Nov 2010 14:31:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: required
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
-Uploaders: Michael Meskes <meskes@debian.org>, Cristian Greco <cristian@regolo.cc>
-Standards-Version: 3.8.4
+Uploaders: Michael Meskes <meskes@debian.org>
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7.4.20ubuntu1)
 
 Package: hostname

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEBVERSION := $(shell dpkg-parsechangelog | grep "Version:" | cut -d" " -f2)
+PRGVERSION := $(shell grep "define VERSION" hostname.c | cut -d"\"" -f2)
 
 CFLAGS = -Wall -g
 
@@ -56,6 +59,7 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_install
+	dh_installinit --upstart-only --no-start
 	dh_strip
 	dh_compress
 	dh_fixperms

## hostname 3.06

=== debian/changelog ===
hostname (3.06) unstable; urgency=low

  * Relax version comparison to make binnmus possible. (Closes: #616683)

 -- Michael Meskes <meskes@debian.org>  Mon, 07 Mar 2011 12:31:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: hostname
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
+Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
 Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.4.20ubuntu1)
+Build-Depends: debhelper (>= 5)
 
 Package: hostname
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEBVERSION := $(shell dpkg-parsechangelog | grep "Version:" | cut -d" " -f2)
-PRGVERSION := $(shell grep "define VERSION" hostname.c | cut -d"\"" -f2)
+DEBVERSION := $(shell dpkg-parsechangelog | awk '/Version:/ { print substr($$2,1,4)}')
+PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)
 
 CFLAGS = -Wall -g
 
@@ -28,6 +28,7 @@
 	dh_testdir
 
 	# Building package
+	[ "$(DEBVERSION)" = "$(PRGVERSION)" ] || exit 1
 	CFLAGS="$(CFLAGS)" $(MAKE) $(CROSS)
 
 	touch build-stamp
@@ -59,7 +60,6 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_install
-	dh_installinit --upstart-only --no-start
 	dh_strip
 	dh_compress
 	dh_fixperms

## hostname 3.06ubuntu1

=== debian/changelog ===
hostname (3.06ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #788453), remaining changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.
  * drop change for "Don't compare versions during the build", as debian/rules
    uses a different mechanism for comparison that is more reasonable.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 26 May 2011 19:42:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_install
+	dh_installinit --upstart-only --no-start
 	dh_strip
 	dh_compress
 	dh_fixperms

## hostname 3.07

=== debian/changelog ===
hostname (3.07) unstable; urgency=low

  * Strip leading and trailing whitespaces from hostname. (Closes: #650822)
  * Bumped Standards-Version to 3.9.2, no changes needed.
  * Added build-arch and build-indep targets to rules file.

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Dec 2011 16:31:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: required
 Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 5)
 
 Package: hostname

## hostname 3.08

=== debian/changelog ===
hostname (3.08) unstable; urgency=low

  * Prevent a potential buffer underrun.
  * Clarified FQDN message in man page. (Closes: #626292)
  * Use Breaks instead of Conflicts.

 -- Michael Meskes <meskes@debian.org>  Fri, 23 Dec 2011 11:07:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,9 @@
 	CROSS=
 endif
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -60,7 +62,6 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_install
-	dh_installinit --upstart-only --no-start
 	dh_strip
 	dh_compress
 	dh_fixperms

## hostname 3.10

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 OBJS=hostname.o
 
 hostname: $(OBJS)
-	$(CC) $(CFLAGS) -o $@ $(OBJS) -lnsl
+	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS) -lnsl
 	ln -fs hostname dnsdomainname
 	ln -fs hostname domainname
 	ln -fs hostname ypdomainname

=== debian/changelog ===
hostname (3.10) unstable; urgency=low

  * Enabled hardened build flag.
    Thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes: #655874)

 -- Michael Meskes <meskes@debian.org>  Sun, 15 Jan 2012 13:52:38 +0100

hostname (3.09) unstable; urgency=low

  * Order items alphabetically in manpage.
    Thanks to Jari Aalto <jari.aalto@cante.net> (Closes: #653269)

 -- Michael Meskes <meskes@debian.org>  Wed, 28 Dec 2011 15:14:48 +0100

## hostname 3.11

=== debian/changelog ===
hostname (3.11) unstable; urgency=low

  * Fixed typo in manpage.
    Thanks to Regid Ichira <regid23@yahoo.com> (Closes: #659836)
  * Order options alphabetically in program.
    Thanks to Jari Aalto <jari.aalto@cante.net> (Closes: #660106)
  * Combine options in manpage.
  * Do not install hostname.1.fr anymore because it is outdated.

 -- Michael Meskes <meskes@debian.org>  Thu, 16 Feb 2012 16:02:01 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Essential: yes
 Replaces: nis (<< 3.17-30)
-Conflicts: nis (<< 3.17-30)
+Breaks: nis (<< 3.17-30)
 Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: utility to set/show the host name or domain name
  This package provides commands which can be used to display the system's

## hostname 3.11ubuntu1

=== debian/changelog ===
hostname (3.11ubuntu1) quantal; urgency=low

  * Merge from Debian Unstable (LP: #1015850). Remaining Changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.
    - Don't compare versions during the build to avoid the package FTBFS

 -- Vibhav Pant <vibhavp@gmail.com>  Thu, 21 Jun 2012 06:41:42 +0530

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: hostname
 Section: admin
 Priority: required
-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 7.4.20ubuntu1)
 
 Package: hostname
 Architecture: any

## hostname 3.12ubuntu1

=== debian/changelog ===
hostname (3.12ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1087585).  Remaining changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.
    - Don't compare versions during the build to avoid the package FTBFS

 -- Vibhav Pant <vibhavp@ubuntu.com>  Fri, 07 Dec 2012 10:09:50 +0100

hostname (3.12) unstable; urgency=low

  * Rewrote parts of the manpage.
    Thanks to Ben Wong <bugs.debian.org@wongs.net> (Closes: #568889)
  * Bumped Standards-Version to 3.9.3, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 06 Dec 2012 16:15:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.4.20ubuntu1)
 
 Package: hostname

## hostname 3.13ubuntu1

=== debian/changelog ===
hostname (3.13ubuntu1) saucy; urgency=low

  * Merge from Debian.  Remaining changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.
    - Don't compare versions during the build to avoid the package FTBFS

 -- Oussama Bounaim <o.bounaim@gmail.com>  Fri, 19 Jul 2013 09:25:39 +0100

hostname (3.13) unstable; urgency=low

  * Finally completely remove verbose option.
    Thanks to Jiri Popelka <jpopelka@redhat.com> (Closes: #703974)
  * Bumped Standards-Version to 3.9.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 18 Jun 2013 11:51:37 +0200

## hostname 3.15

=== debian/changelog ===
hostname (3.15) unstable; urgency=low

  * Applied patch to make it possible to install binaries and man pages into
    custom directories.
    Thanks to Jiri Popelka <jpopelka@redhat.com> (Closes: #726484)
  * Tried to clarify manpage. (Closes: #718393)
  * Removed hostname.1.fr with was outdated and not kept in sync.

 -- Michael Meskes <meskes@debian.org>  Sun, 03 Nov 2013 15:27:04 +0100

hostname (3.14) unstable; urgency=low

  * Symlink binaries instead of hardlinking them. (Closes: #718400)

 -- Michael Meskes <meskes@debian.org>  Fri, 06 Sep 2013 12:06:19 +0200

## hostname 3.15ubuntu1

=== debian/changelog ===
hostname (3.15ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.
    - Don't compare versions during the build to avoid the package FTBFS

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Dec 2013 14:21:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7.4.20ubuntu1)
 
 Package: hostname

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,10 @@
 DEBVERSION := $(shell dpkg-parsechangelog | awk '/Version:/ { print substr($$2,1,4)}')
 PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -Wall
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -31,7 +28,7 @@
 
 	# Building package
 	[ "$(DEBVERSION)" = "$(PRGVERSION)" ] || exit 1
-	CFLAGS="$(CFLAGS)" $(MAKE) $(CROSS)
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) $(CROSS)
 
 	touch build-stamp
 
@@ -62,6 +59,7 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_install
+	dh_installinit --upstart-only --no-start
 	dh_strip
 	dh_compress
 	dh_fixperms

## hostname 3.16

=== debian/changelog ===
hostname (3.16) unstable; urgency=medium

  * Changed buffer size to the recommended 255 character when working with
    names instead of IPs. (Closes: #796922)
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Sep 2015 12:32:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: hostname
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
+Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 7.4.20ubuntu1)
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 5)
 
 Package: hostname
 Architecture: any
